Package org.apache.ignite.internal.processors.platform

## Interface PlatformEventFilterListener

All Superinterfaces:
  `IgniteBiPredicate<UUID,​Event>`, `IgnitePredicate<Event>`, `Serializable`

All Known Implementing Classes:
  `PlatformEventFilterListenerImpl`

    public interface PlatformEventFilterListener
    extends IgnitePredicate<Event>, IgniteBiPredicate<UUID,​Event>

Platform event filter and listener.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `initialize​(GridKernalContext ctx)` Initializes the filter.
`void` `onClose()` Callback invoked when filter is closed.

### Methods inherited from interface org.apache.ignite.lang.IgniteBiPredicate

`and, apply`

### Methods inherited from interface org.apache.ignite.lang.IgnitePredicate

`apply`

### Method Detail

#### initialize

    void initialize​(GridKernalContext ctx)

Initializes the filter.

#### onClose

    void onClose()

Callback invoked when filter is closed.